@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface JsltEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
JsltEndpointBuilderFactory.AdvancedJsltEndpointBuilder
Advanced builder for endpoint for the JSLT component.
|
static interface |
JsltEndpointBuilderFactory.JsltBuilders |
static interface |
JsltEndpointBuilderFactory.JsltEndpointBuilder
Builder for endpoint for the JSLT component.
|
| Modifier and Type | Method and Description |
|---|---|
static JsltEndpointBuilderFactory.JsltEndpointBuilder |
jslt(String path)
JSLT (camel-jslt)
The jslt component allows you to process a JSON messages using an JSLT
transformations.
|
static JsltEndpointBuilderFactory.JsltEndpointBuilder jslt(String path)
jslt:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel